<script setup>
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout.vue';

import { Head, Link, useForm } from '@inertiajs/vue3';
import { showFlashMessage } from '@/global_func.js';




</script>

<template>
    <Head title="Dashboard" />

    <AuthenticatedLayout :user="user">
        <div class="container-fluid">

            <!-- Page Heading -->
            <h1 class="h3 mb-2 text-gray-800">Log Absensi</h1>
            <p class="mb-4">Semua data absensi anda ada dihalaman ini.</p>

            <!-- DataTales Example -->
            <div class="card border-0 mb-4">
                <div class="card-header py-3 bg-main d-flex justify-content-between align-items-center">
                    <h6 class="m-0 font-weight-bold text-white">Data absensi</h6>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>check in</th>
                                    <th>check out</th>
                                    <th>lokasi check in</th>
                                    <th>lokasi check out</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr v-for="absen in absensi">
                                    <td>{{ absen.user.name }}</td>
                                    <td>{{ absen.check_in }}</td>
                                    <td>{{ absen.check_out }}</td>
                                    <td>
                                        <a target="_blank"
                                            :href="'https://www.google.com/maps/place/' + absen.check_in_long_lat"
                                            class="badge badge-primary">
                                            <i class="fas fa-map-marker-alt"></i>
                                            lihat</a>
                                    </td>
                                    <td>
                                        <a target="_blank"
                                            :href="'https://www.google.com/maps/place/' + absen.check_out_long_lat"
                                            class="badge badge-primary">
                                            <i class="fas fa-map-marker-alt"></i>
                                            lihat</a>
                                    </td>
                                </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>


    </AuthenticatedLayout>
</template>

<script>



export default {
    props: {
        user: Object,
        users: Object,
        absensi: Object,
    },

    methods: {

    }, mounted() {
        // Initialize DataTables
        $('#dataTable').DataTable({
            // DataTables configuration options
        });
    }
}
</script>
